*If(strcmp(MatProp(Material_Prototype),"CCMaterialWithRandomFields")==0)
*EndIf
*#
*# // projeti materialu a jisteni jestli nejsou temp dep. či comb
*#Set Var oMujMat=tcl(TK_FindMaterialNumber *MatProp(Base_Material_Prototype) *MatProp(0))
*#  BASE *oMujMat
  BASE *Operation(matvar*IncrAdvancedMatID+9)
  FILENAME "*MatProp(FileNameForRandomFields)"
